Bug 21213 - Circulation.t needs diagnostics
Summary: Circulation.t needs diagnostics
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20721
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-13 14:54 UTC by Jonathan Druart
Modified: 2018-09-21 13:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21213: Add diagnostics to Circulation.t (1.84 KB, patch)
2018-08-13 14:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-08-13 14:54:01 UTC
koha_1       |     #   Failed test 'Test at line 1896'
koha_1       |     #   at t/db_dependent/Circulation.t line 2424.
koha_1       |     #          got: '0'
koha_1       |     #     expected: '1'
koha_1       | 
koha_1       |     #   Failed test 'Test at line 1896'
koha_1       |     #   at t/db_dependent/Circulation.t line 2427.
koha_1       |     #          got: undef
koha_1       |     #     expected: '2018-08-25'
koha_1       |     # Looks like you failed 2 tests of 14.
koha_1       | 
koha_1       | #   Failed test 'AddReturn + suspension_chargeperiod'
koha_1       | #   at t/db_dependent/Circulation.t line 1905.
koha_1       | # Looks like you failed 1 test of 118.
koha_1       | [19:23:06] t/db_dependent/Circulation.t
Comment 1 Jonathan Druart 2018-08-13 14:54:31 UTC
I have no idea why this is failing.
Comment 2 Jonathan Druart 2018-08-13 14:55:57 UTC
Created attachment 77754 [details] [review]
Bug 21213: Add diagnostics to Circulation.t

Jenkins reported failures on a D9 run. No idea why it is failing so
adding diag and wait for the next failure.
Comment 3 Nick Clemens 2018-08-14 12:57:50 UTC
Trivial patch to enhance debugging, skipping SO/QA

Pushed to master for 18.11
Comment 4 Martin Renvoize 2018-08-16 14:25:47 UTC
Pushed to 18.05.x for 18.05.03
Comment 5 Fridolin SOMERS 2018-09-21 13:02:50 UTC
Does not apply easy on 17.11.x but UT t/db_dependent/Circulation.t is actually OK
Comment 6 Jonathan Druart 2018-09-21 13:12:46 UTC
(In reply to Fridolin SOMERS from comment #5)
> Does not apply easy on 17.11.x but UT t/db_dependent/Circulation.t is
> actually OK

They are random failures.